Can i switch to rails 2.3.5 and run a rails 2.3.5 code?

Hi all,

i have installed rails 3 using RVM . the prob is now i have two parallel
projects where one is in 2.3.5 and another is in rails3.

i use Mac o x 10.6.3
mysql :Server version: 5.1.56 MySQL

so can i switch in between rails3 and rails 2.3.8??

this is my gem list…

actionmailer (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
actionpack (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
activemodel (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3)
activerecord (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
activeresource (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
activesupport (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
addressable (2.2.4)
.
.
.
.
.
.
rack-openid (1.2.0)
rack-test (0.5.7, 0.5.6)
rails (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3, 2.3.8, 2.3.5)
railties (3.0.5, 3.0.5.rc1, 3.0.4, 3.0.3)
rake (0.8.7)
RedCloth (4.2.7)
.
.
.

when i say “rails -v” it shows…

static-177:~ rathod$ rails -v
Rails 3.0.5


Please help me i should run the 2.3.5 code in my machine…

Quoting Rajesh B. [email protected]:

Hi all,

i have installed rails 3 using RVM . the prob is now i have two parallel
projects where one is in 2.3.5 and another is in rails3.

[snip]

Look in config/environment.rb for a line like this, or add it if
necessary:

Specifies gem version of Rails to use when vendor/rails is not present

RAILS_GEM_VERSION = ‘2.3.5’ unless defined? RAILS_GEM_VERSION

Or as implied by the comment, freeze rails (AKA vendoring Rails).
Google
‘freeze Rails’ for implementation details.

HTH,
Jeffrey

Thanks Jeffrey L. Taylor

You should look at the gemsets feature of rvm. Then you can use
the .rvmrc file in each project to select a gemset (and a ruby
interpreter). After you’ve done this, each project will see just its
own gems. You can use bundler to manage the gems locally, too, which
makes it quite painless to deploy to the production environment for
each project and get just the set of gems needed.

-Rob

On Mar 31, 2011, at 1:27 PM, Rajesh B. wrote:

.
.

To post to this group, send email to rubyonrails-
[email protected]
To unsubscribe from this group, send email to
[email protected]
.
For more options, visit this group at
http://groups.google.com/group/rubyonrails-talk?hl=en
.

Rob B. http://agileconsultingllc.com
[email protected]
+1 513-295-4739
Skype: rob.biedenharn

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs